Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.xmlbeans.client
Class XMLBeansClientHandler

    java.lang.Object
      org.codehaus.xfire.client.AbstractClientHandler
          org.codehaus.xfire.xmlbeans.client.XMLBeansClientHandler

All Implemented Interfaces:
  ClientHandler

    public class XMLBeansClientHandler

extends AbstractClientHandler

Handles XmlBeans requests and response for SOAP/REST clients.

Since:
  Oct 27, 2004
Author:
  Dan Diephouse

Constructor Summary
`XMLBeansClientHandler()`
`XMLBeansClientHandler(org.apache.xmlbeans.XmlOptions options)`

Method Summary
`org.apache.xmlbeans.XmlObject[]` | `getRequest()`
`org.apache.xmlbeans.XmlObject[]` | `getResponse()`
`void` | `handleResponse(javax.xml.stream.XMLStreamReader reader)` Handle the response.
`void` | `setRequest(org.apache.xmlbeans.XmlObject[] request)`
`void` | `setResponse(org.apache.xmlbeans.XmlObject[] response)`
`void` | `writeRequest(javax.xml.stream.XMLStreamWriter writer)` Write the request to the XMLStreamWriter.

Methods inherited from class org.codehaus.xfire.client.AbstractClientHandler
`getAttachments, hasRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLBeansClientHandler

    public XMLBeansClientHandler()

### XMLBeansClientHandler

    public XMLBeansClientHandler(org.apache.xmlbeans.XmlOptions options)

Method Detail

### getRequest

    public org.apache.xmlbeans.XmlObject[] getRequest()

  Returns:
    Returns the request.

### setRequest

    public void setRequest(org.apache.xmlbeans.XmlObject[] request)

  Parameters:
    `request` - The request to set.

### getResponse

    public org.apache.xmlbeans.XmlObject[] getResponse()

  Returns:
    Returns the response.

### setResponse

    public void setResponse(org.apache.xmlbeans.XmlObject[] response)

  Parameters:
    `response` - The response to set.

### writeRequest

    public void writeRequest(javax.xml.stream.XMLStreamWriter writer)
                      throws javax.xml.stream.XMLStreamException

  Description copied from interface: `ClientHandler`
  Write the request to the XMLStreamWriter.

  Throws:
    `javax.xml.stream.XMLStreamException`

### handleResponse

    public void handleResponse(javax.xml.stream.XMLStreamReader reader)
                        throws javax.xml.stream.XMLStreamException,
                               XFireFault

  Description copied from interface: `ClientHandler`
  Handle the response.

  Throws:
    `javax.xml.stream.XMLStreamException`
    `XFireFault` - The ClientHandler must create an XFireFault and throw it if a fault occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.